# Skinny Widgets Development Stand Project

Skinny Widgets is divided into dozens of modules. Scripts and tools like this project are
aimed to help keeping development easier.

You can go with just WHATWG modules for development purposes. You will also need to install browser cache
buster extension or equivalent way to prevent js and other files to be cached by browser.

## Checkout, pull, commit, push all or corresponding to masks repos

```
npm run checkout-all --include-repos=.*alert.* --exclude-repos=.*antd
```

commit-all, pull-all, push-all tasks are working in the same way


## Install packages to target 

```
npm run local-install-all --include-repos=.*accordion.* --install-to-path=/tmp/test
```

### Hot redeploying files

relying on the idea all dependant modules checkouted to parent watch can run rebuild bundle and copy to stand project
automatically on changed. It can be helpful when you need to debug or develop some related to bundles functionality.

```
sk/ 

    sk-input/

    sk-input-jquery/

    sk-jquery-bundle/

    sk-stand/
```

then run

```
npm run watch
```

You may need to have local/corp nexus to host your own npm packages. Alternatively there is a way, may be
less reliable to install packages directly from filesystem.

### Versions update

when you are done with changes you may need to check and update all the versions. Update script relies on
structure described above.

```
npm run vbump 0.2.2 false sk-*
```
